- Qt 5.15
- Qt Multimedia
- C++ Classes
- QCustomAudioRoleControl
- Qt 5.15.11 Reference Documentation

# QCustomAudioRoleControl Class

The QCustomAudioRoleControl class provides control over the audio role of a media object. More...

Header: | #include <QCustomAudioRoleControl>
qmake: | QT += multimedia
Since: | Qt 5.11
Inherits: | QMediaControl

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This class was introduced in Qt 5.11.

- List of all members, including inherited members

## Public Functions

virtual | ~QCustomAudioRoleControl()
virtual QString | customAudioRole() const = 0
virtual void | setCustomAudioRole(const QString &role) = 0
virtual QStringList | supportedCustomAudioRoles() const = 0

## Signals

void | customAudioRoleChanged(const QString &role)

## Protected Functions

| QCustomAudioRoleControl(QObject *parent = nullptr)

## Macros

| QCustomAudioRoleControl_iid

## Detailed Description

If a QMediaService supports audio roles it may implement QCustomAudioRoleControl in order to provide access to roles unknown to Qt.

The functionality provided by this control is exposed to application code through the QMediaPlayer class.

The interface name of QCustomAudioRoleControl is `org.qt-project.qt.customaudiorolecontrol/5.11` as defined in QCustomAudioRoleControl_iid.

See also QMediaService::requestControl() and QMediaPlayer.

## Member Function Documentation

### `[protected]` QCustomAudioRoleControl::QCustomAudioRoleControl(QObject *parent = nullptr)

Construct a QCustomAudioRoleControl with the given parent.

### `[signal]` void QCustomAudioRoleControl::customAudioRoleChanged(const QString &role)

Signal emitted when the audio role has changed.

### `[virtual]` QCustomAudioRoleControl::~QCustomAudioRoleControl()

Destroys the audio role control.

### `[pure virtual]` QString QCustomAudioRoleControl::customAudioRole() const

Returns the audio role of the media played by the media service.

See also setCustomAudioRole().

### `[pure virtual]` void QCustomAudioRoleControl::setCustomAudioRole(const QString &role)

Sets the audio role of the media played by the media service.

See also customAudioRole().

### `[pure virtual]` QStringList QCustomAudioRoleControl::supportedCustomAudioRoles() const

Returns a list of custom audio roles that the media service supports. An empty list may indicate that the supported custom audio roles aren't known. The list may not be complete.

## Macro Documentation

### QCustomAudioRoleControl_iid

`org.qt-project.qt.customaudiorolecontrol/5.11`

Defines the interface name of the QCustomAudioRoleControl class.